.TH wxMouseEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxMouseEvent \- See external documentation: wxMouseEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxMouseEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIleft_down\fR, \fIleft_up\fR, \fImiddle_down\fR, \fImiddle_up\fR, \fIright_down\fR, \fIright_up\fR, \fImotion\fR, \fIenter_window\fR, \fIleave_window\fR, \fIleft_dclick\fR, \fImiddle_dclick\fR, \fIright_dclick\fR, \fImousewheel\fR, \fInc_left_down\fR, \fInc_left_up\fR, \fInc_middle_down\fR, \fInc_middle_up\fR, \fInc_right_down\fR, \fInc_right_up\fR, \fInc_motion\fR, \fInc_enter_window\fR, \fInc_leave_window\fR, \fInc_left_dclick\fR, \fInc_middle_dclick\fR, \fInc_right_dclick\fR
.RE
.LP
See also the message variant #wxMouse{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxMouseEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
altDown(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventaltdown>\&.
.RE
.LP
.B
button(This::wxMouseEvent(), But::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventbutton>\&.
.RE
.LP
.B
buttonDClick(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
Equivalent to buttonDClick(This, [])\&.
.RE
.LP
.B
buttonDClick(This::wxMouseEvent(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {but, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventbuttondclick>\&.
.RE
.LP
.B
buttonDown(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
Equivalent to buttonDown(This, [])\&.
.RE
.LP
.B
buttonDown(This::wxMouseEvent(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {but, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventbuttondown>\&.
.RE
.LP
.B
buttonUp(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
Equivalent to buttonUp(This, [])\&.
.RE
.LP
.B
buttonUp(This::wxMouseEvent(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {but, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventbuttonup>\&.
.RE
.LP
.B
cmdDown(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventcmddown>\&.
.RE
.LP
.B
controlDown(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventcontroldown>\&.
.RE
.LP
.B
dragging(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventdragging>\&.
.RE
.LP
.B
entering(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseevententering>\&.
.RE
.LP
.B
getButton(This::wxMouseEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventgetbutton>\&.
.RE
.LP
.B
getPosition(This::wxMouseEvent()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventgetposition>\&.
.RE
.LP
.B
getLogicalPosition(This::wxMouseEvent(), Dc::wxDC() (see module wxDC)) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventgetlogicalposition>\&.
.RE
.LP
.B
getLinesPerAction(This::wxMouseEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventgetlinesperaction>\&.
.RE
.LP
.B
getWheelRotation(This::wxMouseEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventgetwheelrotation>\&.
.RE
.LP
.B
getWheelDelta(This::wxMouseEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventgetwheeldelta>\&.
.RE
.LP
.B
getX(This::wxMouseEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventgetx>\&.
.RE
.LP
.B
getY(This::wxMouseEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventgety>\&.
.RE
.LP
.B
isButton(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventisbutton>\&.
.RE
.LP
.B
isPageScroll(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventispagescroll>\&.
.RE
.LP
.B
leaving(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventleaving>\&.
.RE
.LP
.B
leftDClick(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventleftdclick>\&.
.RE
.LP
.B
leftDown(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventleftdown>\&.
.RE
.LP
.B
leftIsDown(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventleftisdown>\&.
.RE
.LP
.B
leftUp(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventleftup>\&.
.RE
.LP
.B
metaDown(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventmetadown>\&.
.RE
.LP
.B
middleDClick(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventmiddledclick>\&.
.RE
.LP
.B
middleDown(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventmiddledown>\&.
.RE
.LP
.B
middleIsDown(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventmiddleisdown>\&.
.RE
.LP
.B
middleUp(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventmiddleup>\&.
.RE
.LP
.B
moving(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventmoving>\&.
.RE
.LP
.B
rightDClick(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventrightdclick>\&.
.RE
.LP
.B
rightDown(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventrightdown>\&.
.RE
.LP
.B
rightIsDown(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventrightisdown>\&.
.RE
.LP
.B
rightUp(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventrightup>\&.
.RE
.LP
.B
shiftDown(This::wxMouseEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmouseevent\&.html#wxmouseeventshiftdown>\&.
.RE
